漏洞信息详情

PHP 缓冲区错误漏洞

  • CNNVD编号:CNNVD-201810-1207
  • 危害等级: 高危
  • CVE编号: CVE-2018-20783
  • 漏洞类型: 缓冲区错误
  • 发布时间: 2018-10-24
  • 威胁类型: 远程
  • 更新时间: 2020-04-30
  • 厂        商:
  • 漏洞来源: Ubuntu,Red Hat

漏洞简介

PHP(PHP:Hypertext Preprocessor,PHP:超文本预处理器)是PHPGroup和开放源代码社区的共同维护的一种开源的通用计算机脚本语言。该语言主要用于Web开发,支持多种数据库及操作系统。

PHP中存在缓冲区错误漏洞。该漏洞源于网络系统或产品在内存上执行操作时,未正确验证数据边界,导致向关联的其他内存位置上执行了错误的读写操作。攻击者可利用该漏洞导致缓冲区溢出或堆溢出等。以下产品及版本受到影响:PHP 5.6.39之前版本,7.0.33之前的7.x版本,7.1.25之前的7.1.x版本,7.2.13之前的7.2.x版本。

漏洞公告

目前厂商已发布升级补丁以修复漏洞,详情请关注厂商主页:

https://www.php.net

参考网址

来源:SUSE

链接:http://lists.opensuse.org/opensuse-security-announce/2019-04/msg00083.html

来源:SUSE

链接:http://lists.opensuse.org/opensuse-security-announce/2019-04/msg00104.html

来源:MISC

链接:http://php.net/ChangeLog-7.php

来源:bugs.php.net

链接:https://bugs.php.net/bug.php?id=77143Broken LinkIssue TrackingVendor Advisory

来源:php.net

链接:http://php.net/ChangeLog-7.phpVendor Advisory

来源:php.net

链接:http://php.net/ChangeLog-5.php

来源:access.redhat.com

链接:https://access.redhat.com/errata/RHSA-2019:3299

来源:access.redhat.com

链接:https://access.redhat.com/errata/RHSA-2019:3300

来源:usn.ubuntu.com

链接:https://usn.ubuntu.com/3566-2/

来源:www.suse.com

链接:https://www.suse.com/support/update/announcement/2019/suse-su-20190985-1.html

来源:www.suse.com

链接:https://www.suse.com/support/update/announcement/2019/suse-su-20191461-1.html

来源:www.suse.com

链接:https://www.suse.com/support/update/announcement/2019/suse-su-201914013-1.html

来源:www.ibm.com

链接:https://www.ibm.com/blogs/psirt/security-bulletin-api-connects-developer-portal-is-impacted-by-vulnerabilities-in-php/

来源:www.auscert.org.au

链接:https://www.auscert.org.au/bulletins/ESB-2020.1500/

来源:www.auscert.org.au

链接:https://www.auscert.org.au/bulletins/79498

来源:www.auscert.org.au

链接:https://www.auscert.org.au/bulletins/78530

来源:packetstormsecurity.com

链接:https://packetstormsecurity.com/files/153001/Ubuntu-Security-Notice-USN-3566-2.html

来源:www.auscert.org.au

链接:https://www.auscert.org.au/bulletins/ESB-2019.1838/

来源:nvd.nist.gov

链接:https://nvd.nist.gov/vuln/detail/CVE-2018-20783

来源:packetstormsecurity.com

链接:https://packetstormsecurity.com/files/157463/Red-Hat-Security-Advisory-2020-1624-01.html

来源:www.auscert.org.au

链接:https://www.auscert.org.au/bulletins/ESB-2019.2087/

受影响实体

    暂无


漏洞信息快速查询

相关漏洞

更多